package com.huashe.park.core.service.impl;

import java.util.List;

import com.huashe.common.annotation.DataSource;
import com.huashe.common.enums.DataSourceType;
import com.huashe.park.core.mapper.ParkAttendUsrDetailMapper;
import com.huashe.park.core.service.IParkAttendUsrDetailService;
import com.huashe.park.domain.entity.ParkAttendUsrDetail;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 用户打卡信息Service业务层处理
 *
 * @author ruoyi
 * @date 2025-01-08
 */
@Service
@DataSource(DataSourceType.PKB)
public class ParkAttendUsrDetailServiceImpl implements IParkAttendUsrDetailService {
    @Autowired
    private ParkAttendUsrDetailMapper parkAttendUsrDetailMapper;

    /**
     * 查询用户打卡信息
     *
     * @param id 用户打卡信息主键
     * @return 用户打卡信息
     */
    @Override
    public ParkAttendUsrDetail selectParkAttendUsrDetailById(Long id) {
        return parkAttendUsrDetailMapper.selectParkAttendUsrDetailById(id);
    }

    /**
     * 查询用户打卡信息列表
     *
     * @param parkAttendUsrDetail 用户打卡信息
     * @return 用户打卡信息
     */
    @Override
    public List<ParkAttendUsrDetail> selectParkAttendUsrDetailList(ParkAttendUsrDetail parkAttendUsrDetail) {
        return parkAttendUsrDetailMapper.selectParkAttendUsrDetailList(parkAttendUsrDetail);
    }

    /**
     * 新增用户打卡信息
     *
     * @param parkAttendUsrDetail 用户打卡信息
     * @return 结果
     */
    @Override
    public int insertParkAttendUsrDetail(ParkAttendUsrDetail parkAttendUsrDetail) {
        return parkAttendUsrDetailMapper.insertParkAttendUsrDetail(parkAttendUsrDetail);
    }

    /**
     * 修改用户打卡信息
     *
     * @param parkAttendUsrDetail 用户打卡信息
     * @return 结果
     */
    @Override
    public int updateParkAttendUsrDetail(ParkAttendUsrDetail parkAttendUsrDetail) {
        return parkAttendUsrDetailMapper.updateParkAttendUsrDetail(parkAttendUsrDetail);
    }

    /**
     * 批量删除用户打卡信息
     *
     * @param ids 需要删除的用户打卡信息主键
     * @return 结果
     */
    @Override
    public int deleteParkAttendUsrDetailByIds(Long[] ids) {
        return parkAttendUsrDetailMapper.deleteParkAttendUsrDetailByIds(ids);
    }

    /**
     * 删除用户打卡信息信息
     *
     * @param id 用户打卡信息主键
     * @return 结果
     */
    @Override
    public int deleteParkAttendUsrDetailById(Long id) {
        return parkAttendUsrDetailMapper.deleteParkAttendUsrDetailById(id);
    }
}
